Merchant API v1beta는 2026년 2월 28일에 지원 중단되고 종료되었습니다. 안정적인 최신 버전으로 전환하는 단계는
v1beta에서 v1로 마이그레이션을 참고하세요.
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: accounts.dataSources.list
컬렉션을 사용해 정리하기
내 환경설정을 기준으로 콘텐츠를 저장하고 분류하세요.
지정된 계정의 데이터 소스 구성을 나열합니다.
HTTP 요청
GET https://merchantapi.googleapis.com/datasources/v1beta/{parent=accounts/*}/dataSources
URL은 gRPC 트랜스코딩 문법을 사용합니다.
경로 매개변수
| 매개변수 |
parent |
string
필수 항목입니다. 데이터 소스를 나열할 계정입니다. 형식: accounts/{account}
|
쿼리 매개변수
| 매개변수 |
pageSize |
integer
선택사항입니다. 반환할 최대 데이터 소스 수입니다. 서비스가 이 값보다 더 적게 반환할 수 있습니다. 최댓값은 1,000이며, 1,000을 초과하는 값은 1,000으로 변환됩니다. 지정하지 않으면 최대 데이터 소스 수가 반환됩니다.
|
pageToken |
string
선택사항입니다. 이전 dataSources.list 호출에서 받은 페이지 토큰입니다. 후속 페이지를 검색하려면 이를 입력합니다. 페이지를 매길 때 dataSources.list에 제공된 다른 모든 매개변수는 페이지 토큰을 제공한 호출과 일치해야 합니다.
|
응답 본문
dataSources.list 메서드에 대한 응답 메시지입니다.
성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.
| JSON 표현 |
{
"dataSources": [
{
object (DataSource)
}
],
"nextPageToken": string
} |
| 필드 |
dataSources[] |
object (DataSource)
지정된 계정의 데이터 소스입니다.
|
nextPageToken |
string
다음 페이지를 검색하기 위해 pageToken으로 전송할 수 있는 토큰입니다. 이 필드를 생략하면 후속 페이지가 표시되지 않습니다.
|
승인 범위
다음 OAuth 범위가 필요합니다.
https://www.googleapis.com/auth/content
자세한 내용은 OAuth 2.0 Overview를 참고하세요.
달리 명시되지 않는 한 이 페이지의 콘텐츠에는 Creative Commons Attribution 4.0 라이선스에 따라 라이선스가 부여되며, 코드 샘플에는 Apache 2.0 라이선스에 따라 라이선스가 부여됩니다. 자세한 내용은 Google Developers 사이트 정책을 참조하세요. 자바는 Oracle 및/또는 Oracle 계열사의 등록 상표입니다.
최종 업데이트: 2025-01-23(UTC)
[null,null,["최종 업데이트: 2025-01-23(UTC)"],[],["This document details how to list data sources for a given account using an HTTP GET request. The request URL follows a specific format: `https://merchantapi.googleapis.com/datasources/v1beta/{parent=accounts/*}/dataSources`, where `parent` is the required account identifier. Optional query parameters, `pageSize` (maximum 1000) and `pageToken`, control the number of results and pagination. The request body should be empty. The successful response includes an array of `dataSources` and an optional `nextPageToken` for subsequent pages. The `https://www.googleapis.com/auth/content` OAuth scope is required.\n"]]